// library frame_widget;

// /// A Calculator.
// class Calculator {
//   /// Returns [value] plus 1.
//   int addOne(int value) => value + 1;
// }

import 'package:flutter/material.dart';

// --- Text ---
class FrameText extends StatefulWidget {
  final String text;
  final EdgeInsets margin;
  final TextStyle style;

  FrameText(
      {Key? key,
      required this.text,
      this.margin = EdgeInsets.zero,
      required this.style})
      : super(key: key);
  @override
  _FrameText createState() => _FrameText();
}

class _FrameText extends State<FrameText> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: widget.margin,
      child: Text(
        widget.text,
        style: widget.style,
      ),
    );
  }
}

// --- Image ---
class FrameImage extends StatefulWidget {
  final EdgeInsets margin;
  final ImageProvider image;
  final double width;
  final double height;

  FrameImage(
      {Key? key,
      this.margin = EdgeInsets.zero,
      required this.image,
      required this.width,
      required this.height})
      : super(key: key);
  @override
  _FrameImage createState() => _FrameImage();
}

class _FrameImage extends State<FrameImage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: widget.margin,
      width: widget.width,
      height: widget.height,
      child: Image(
        image: widget.image,
      ),
    );
  }
}
